Bug 207270 - Installer - custom partitioning - fails to understand LVM2
Installer - custom partitioning - fails to understand LVM2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
i686 Linux
medium Severity urgent
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 07:00 EDT by Russell Strong
Modified: 2008-01-28 06:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-28 06:24:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing bug (509.98 KB, image/jpeg)
2006-09-20 07:00 EDT, Russell Strong
no flags Details
lvm_dump results (16.23 KB, application/octet-stream)
2006-10-28 06:43 EDT, Russell Strong
no flags Details

  None (edit)
Description Russell Strong 2006-09-20 07:00:29 EDT
Custom partition does not understand LVM setup created by FC5.

The picture says it all, i.e. -21% free space???

Some more information

[root@dropbear ~]# lvdisplay
  --- Logical volume ---
  LV Name                /dev/Linux_VG/FC5_LV
  VG Name                Linux_VG
  LV UUID                AJt3vY-kSBG-61oH-kRdQ-Q8MD-VYqg-LQPLNW
  LV Write Access        read/write
  LV Status              available
  # open                 1
  LV Size                48.81 GB
  Current LE             1562
  Segments               1
  Allocation             inherit
  Read ahead sectors     0
  Block device           253:0

  --- Logical volume ---
  LV Name                /dev/Linux_VG/FC6_LV
  VG Name                Linux_VG
  LV UUID                VyBt4D-fMgj-oeKj-9w8l-O0Rx-O1oZ-6KAYB3
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                35.22 GB
  Current LE             1127
  Segments               2
  Allocation             inherit
  Read ahead sectors     0
  Block device           253:1

[root@dropbear ~]#
[root@dropbear ~]# vgdisplay
  --- Volume group ---
  VG Name               Linux_VG
  System ID
  Format                lvm2
  Metadata Areas        2
  Metadata Sequence No  7
  VG Access             read/write
  VG Status             resizable
  MAX LV                0
  Cur LV                2
  Open LV               1
  Max PV                0
  Cur PV                2
  Act PV                2
  VG Size               84.03 GB
  PE Size               32.00 MB
  Total PE              2689
  Alloc PE / Size       2689 / 84.03 GB
  Free  PE / Size       0 / 0
  VG UUID               CiLB21-FShD-Ibvx-5n2f-nW0u-pSF6-9IAL0W

[root@dropbear ~]#
[root@dropbear ~]# pvdisplay
  --- Physical volume ---
  PV Name               /dev/sda7
  VG Name               Linux_VG
  PV Size               69.41 GB / not usable 0
  Allocatable           yes (but full)
  PE Size (KByte)       32768
  Total PE              2221
  Free PE               0
  Allocated PE          2221
  PV UUID               LdmVlY-wzBg-TMCN-aw9a-vr3L-3h1q-ZyPz0b

  --- Physical volume ---
  PV Name               /dev/sda5
  VG Name               Linux_VG
  PV Size               14.62 GB / not usable 0
  Allocatable           yes (but full)
  PE Size (KByte)       32768
  Total PE              468
  Free PE               0
  Allocated PE          468
  PV UUID               2tD7cI-2uA5-536Y-xkQY-E4Ve-h6hc-nIMXbl

[root@dropbear ~]#
Comment 1 Russell Strong 2006-09-20 07:00:31 EDT
Created attachment 136724 [details]
screenshot showing bug
Comment 2 Russell Strong 2006-09-20 07:06:13 EDT
BTW, I didn't proceed beyond this point.  I was curious about what would happen,
but this was not a test machine.  Too freaked by the numbers :)
Comment 3 Russell Strong 2006-10-26 19:23:02 EDT
Still present in FC6 final.

How can I install FC6 now?  Is the DVD going to be respun?
Comment 4 Alasdair Kergon 2006-10-27 16:17:48 EDT
Please can you attach a copy of your LVM metadata?

e.g. using this script with -m:
http://sources.redhat.com/cgi-bin/cvsweb.cgi/~checkout~/LVM2/scripts/lvm_dump.sh?rev=1.1&content-type=text/plain&cvsroot=lvm2&only_with_tag=MAIN
Comment 5 Russell Strong 2006-10-28 06:43:21 EDT
Created attachment 139631 [details]
lvm_dump results

[root@dropbear russell]# ./lvm_dump -m

Creating dump directory: /tmp/lvm_dump.xN4866/lvm_dump

Gathering LVM & device-mapper version info...
Command failed
Gathering dmsetup info...
Gathering process info...
Gathering console messages...
Gathering /etc/lvm info...
Gathering /dev listing...
Gathering LVM metadata from Physical Volumes...
  /dev/sda5
  /dev/sda7
Creating tarball /tmp/lvm_dump.xN4866/lvm_dump.tgz...
Comment 6 Matthew Miller 2007-04-06 12:14:24 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 7 Joel Andres Granados 2008-01-28 06:24:37 EST
Installed f6, then tried to install f8. (I used the information of the LVM
setup).  f8 installer understood the lvm partitioning that was present.  If this
problem persists please reopen bug.

Note You need to log in before you can comment on or make changes to this bug.